Bug 855076 - SELinux is preventing /usr/bin/clamscan from 'read' accesses on the file /etc/freshclam.conf.
SELinux is preventing /usr/bin/clamscan from 'read' accesses on the file /etc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f355a6b85013e1c9428ea05d0e7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 11:47 EDT by Nicolas Mailhot
Modified: 2013-04-19 01:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-19 01:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-06 11:47 EDT, Nicolas Mailhot
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-06 11:48 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2012-09-06 11:47:54 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.6.0-0.rc0.git6.1.fc18.x86_64

description:
:SELinux is preventing /usr/bin/clamscan from 'read' accesses on the file /etc/freshclam.conf.
:
:*****  Plugin catchall_labels (83.8 confidence) suggests  ********************
:
:If you want to allow clamscan to have read access on the freshclam.conf file
:Then l'étiquette sur /etc/freshclam.conf doit être modifiée.
:Do
:# semanage fcontext -a -t FILE_TYPE '/etc/freshclam.conf'
:où FILE_TYPE est l'une des valeurs suivantes : machineid_t, locale_t, abrt_var_run_t, proc_t, sysctl_crypto_t, mqueue_spool_t, clamscan_tmp_t, clamscan_exec_t, clamscan_t, ld_so_t, abrt_t, puppet_tmp_t, lib_t, fail2ban_var_lib_t, mta_exec_type, cpu_online_t, etc_runtime_t, afs_cache_t, abrt_helper_exec_t, clamd_var_lib_t, clamd_var_run_t, initrc_var_run_t, exec_type, net_conf_t, public_content_t, sysctl_kernel_t, httpd_sys_content_t, public_content_rw_t, textrel_shlib_t, clamd_etc_t, rpm_script_tmp_t, ld_so_cache_t, user_cron_spool_t, amavis_spool_t. 
:Puis exécutez : 
:restorecon -v '/etc/freshclam.conf'
:
:
:*****  Plugin catchall (17.1 confidence) suggests  ***************************
:
:If vous pensez que clamscan devrait être autorisé à accéder read sur freshclam.conf file par défaut.
:Then vous devriez rapporter ceci en tant qu'anomalie.
:Vous pouvez générer un module de stratégie local pour autoriser cet accès.
:Do
:autoriser cet accès pour le moment en exécutant :
:# grep clamscan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:clamscan_t:s0
:Target Context                system_u:object_r:etc_t:s0
:Target Objects                /etc/freshclam.conf [ file ]
:Source                        clamscan
:Source Path                   /usr/bin/clamscan
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           clamav-0.97.5-1900.fc19.x86_64
:Target RPM Packages           clamav-update-0.97.5-1900.fc19.x86_64
:Policy RPM                    selinux-policy-3.11.1-7.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc0.git6.1.fc18.x86_64 #1
:                              SMP Tue Jul 31 20:31:31 UTC 2012 x86_64 x86_64
:Alert Count                   1143
:First Seen                    2012-08-19 09:50:22 CEST
:Last Seen                     2012-09-06 16:50:31 CEST
:Local ID                      69485a6c-676b-411f-bece-e337c7a01025
:
:Raw Audit Messages
:type=AVC msg=audit(1346943031.959:341109): avc:  denied  { read } for  pid=10962 comm="clamscan" name="freshclam.conf" dev="dm-0" ino=533252 scontext=system_u:system_r:clamscan_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
:
:
:type=AVC msg=audit(1346943031.959:341109): avc:  denied  { open } for  pid=10962 comm="clamscan" path="/etc/freshclam.conf" dev="dm-0" ino=533252 scontext=system_u:system_r:clamscan_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1346943031.959:341109): arch=x86_64 syscall=open success=yes exit=ESRCH a0=40eacb a1=0 a2=1b6 a3=12051 items=0 ppid=9152 pid=10962 auid=4294967295 uid=993 gid=990 euid=993 suid=993 fsuid=993 egid=990 sgid=990 fsgid=990 tty=(none) ses=4294967295 comm=clamscan exe=/usr/bin/clamscan subj=system_u:system_r:clamscan_t:s0 key=(null)
:
:Hash: clamscan,clamscan_t,etc_t,file,read
:
:audit2allow
:
:#============= clamscan_t ==============
:#!!!! This avc can be allowed using the boolean 'clamscan_can_scan_system'
:
:allow clamscan_t etc_t:file { read open };
:
:audit2allow -R
:
:#============= clamscan_t ==============
:#!!!! This avc can be allowed using the boolean 'clamscan_can_scan_system'
:
:allow clamscan_t etc_t:file { read open };
:
Comment 1 Nicolas Mailhot 2012-09-06 11:47:58 EDT
Created attachment 610398 [details]
File: type
Comment 2 Nicolas Mailhot 2012-09-06 11:48:00 EDT
Created attachment 610399 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-09-06 16:40:13 EDT
Fixed in selinux-policy-3.11.1-16.fc18.noarch
Comment 4 Fedora End Of Life 2013-04-03 16:27:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2013-04-08 07:40:23 EDT
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
Comment 6 Fedora Update System 2013-04-08 11:48:07 EDT
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-04-19 01:51:31 EDT
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.